
Cognitive Interaction Toolkit - Bug #290

confusing naming scheme in distribution files

2014-09-27 09:25 - Robert Haschke

Status: Resolved Start date: 2014-09-27

Priority: High Due date:  

Assignee: Jan Moringen % Done: 100%

Category: build-generator Estimated time: 0.00 hour

Target version: Toolkit 0.1 Spent time: 0.10 hour

Description

Having the following defined in a distribution file, I'd expect to get everything installed into /vol/famula/nightly. But it goes to

/vol/famula/lsp-famula-nightly. So the ${variant} variable doesn't refer to the define variable! This is not intuitive at all!

Please also use a better name than "bla-name". What does this refer to?

"name":      "lsp-famula-nightly",

    "variables": {

    "bla-name":       "${distribution-name}",

    "variant":        "nightly",

        "toolkit.volume": "/vol/famula/",

        "toolkit.dir":    "${toolkit.volume}/${variant}/",

Related issues:

related to Cognitive Interaction Toolkit - Support # 288: Job names need to c... Closed 2014-09-24

related to Cognitive Interaction Toolkit - Feature # 241: "bla-name" is this ... Resolved 2014-05-11

Associated revisions

Revision 012181a8 - 2015-02-17 20:05 - Johannes Wienke

Adapt distributions according to new requirements

Add patterns for orchestration job names, fixes #324

remove slaves from distributions since they have reasonable defaults

in the templates now, fixes #266

remove bla-name variable, refs #241

Clean up name and folder variables as much as possible, refs #228

Probably fixes #290

History

#1 - 2014-09-27 09:34 - Florian Lier

- Category set to build-generator

- Priority changed from Normal to High

- Target version set to Toolkit 0.1

This is related to /issues/288 and issues/241

#2 - 2015-02-17 20:18 - Johannes Wienke

- Status changed from New to Resolved

- % Done changed from 0 to 100
Applied in changeset projects|commit:012181a87a29a02758751d9c8d4595357a165be5.
